#ifndef HISTOGRAM_H
#define HISTOGRAM_H

#include <vector>

struct Input {
    std::vector<double> numbers;
    size_t bin_count;
    size_t number_count;
};

Input input_data();
std::vector<size_t> make_histogram(const std::vector<double>& numbers, size_t bin_count);
void show_histogram_text(const std::vector<size_t>& bins, size_t max_width = 80);

#endif
