#include <iostream>
#include <fstream>
#include "histogram.h"
#include "svg.h"
using namespace std;

int main() {
    Input data = input_data();
    auto bins = make_histogram(data.numbers, data.bin_count);


    int dash_len, gap_len;
    cout << "Enter dash length (e.g., 20): ";
    cin >> dash_len;
    cout << "Enter gap length (e.g., 10): ";
    cin >> gap_len;

    show_histogram_text(bins);

    ofstream svg_file("histogram.svg");
    svg::show_histogram_svg(svg_file, bins, dash_len, gap_len);
    svg_file.close();

    return 0;
}
